Subject: Re: Job | Tech Support Remote Screening
From: Kiran Kumar Reddy <[email-masked]>
To: [email-masked]
Date: Wed, 18 Nov 2020 15:53:49 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

286 Applicants

View All

Kiran Kumar Reddy
Hi, This is Kiran, I completed my B-Tech in 2015 with 60 percentage in mechanical engineering in Annamacharya institute of technology and sciences. Coming to my work experience, I joined in Tbss(Tata Bussiness support solutions) in 2017 as customer care executive and I continued for one year, then Iater I moved to another organization Concentrix as content reviewer in 2018 and still I am working in the organization.

Shortlist

Reject

Current Designation Content Reviewer
Current Company Concentrix Daksh Services India Pvt. Ltd.
Notice Period 1 Months
Previous Designation Content Reviewer
Previous Company tbds

Contact Details
Mobile:

Exp
3 Yrs

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Hyderabad
Education
mechanical engineering
Annamacharya Institute Of Technology and Science
B.Tech/B.E.
Annamacharya institute of technology and science
Key Skills
Good communicator and quick learner and I can mould myself to any situation

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem